
Redmine - Defect #9824

Visual merge/branch history words are cut off

2011-12-16 10:08 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 1.3.0

Description

In the visual merge/branch history the word are cut off. For example the word master is cut off after m.

Related issues:

Related to Redmine - Feature #5501: Git: Mercurial: Adding visual merge/branc... Closed 2010-05-11

Has duplicate Redmine - Defect #9940: Branch names are truncated Closed

Has duplicate Redmine - Defect #10049: Repository view is not right Closed

Has duplicate Redmine - Defect #10144: repository view bug Closed

Has duplicate Redmine - Defect #10542: Repository style bug Closed

History

#1 - 2011-12-16 10:12 - Anonymous

The error is in file revision_graph.js line 31.In my case var cw is every 40.

#2 - 2011-12-16 10:20 - Etienne Massip

- Category set to SCM

#3 - 2011-12-17 17:52 - Etienne Massip

- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

#4 - 2011-12-20 14:24 - Alex Pogodin

Had the same effect until I refreshed my changesets. Try to remove and then readd the repo, worked for me

#5 - 2011-12-22 05:43 - Morgan Jones

Alex Pogodin wrote:

Had the same effect until I refreshed my changesets. Try to remove and then readd the repo, worked for me

 I did and the result was the same. Shouldn't it look like more of a revision graph and less of a bullet pointed list? (tested on Mac Chrome 17.0.963.12)

I expanded the X spacing in the JS and still get a similar thing.

Screenshot: http://d.pr/EhJu

#6 - 2011-12-22 05:44 - Morgan Jones

- File Screen Shot 2011-12-21 at 9.42.01 PM.png added

That screenshot link is invalid. Screenshot is attached.

#7 - 2012-01-30 17:21 - Il'ya Shakitko

May be i will help. This bug is only for old commits (before redmine update). After update the branch graph is ok.

UPD. I wrong.

#8 - 2012-03-09 10:47 - Pedro Alexandre Pacheco Cipriano
http://d.pr/EhJu


- File NoBranch.PNG added

- File OneBranch.PNG added

Denny Schäfer wrote:

In the visual merge/branch history the word are cut off. For example the word master is cut off after m.

 I can reproduce the behaviour quite easily. It seems that when there is not enough branches to increase the horizontal width the words are cut off.

#9 - 2012-03-14 12:12 - Daniel Ritz

- File fix-revisiongraph-width.patch added

Attached a fix that works fine for me. It changes the width dynamically if there's not enough room to draw the tag names. Against 1.3.2.

#10 - 2012-03-14 12:21 - Etienne Massip

BTW, the way the graph is integrated into the revision list has been changed with 1.4.0.

We removed the head revision branch names since they will necessarily be cut off and display them on revision dot hover.

There is still room for improvements, though.

#11 - 2012-03-14 12:30 - Daniel Ritz

Etienne Massip wrote:

BTW, the way the graph is integrated into the revision list has been changed with 1.4.0.

We removed the head revision branch names since they will necessarily be cut off and display them on revision dot hover.

 Yeah I know, but I needed a quick fix for the stable version, so I thought I share it :)

#12 - 2012-03-14 13:31 - Anonymous

Thanks for patching this bug

Daniel Ritz wrote:

Attached a fix that works fine for me. It changes the width dynamically if there's not enough room to draw the tag names. Against 1.3.2.

#13 - 2012-10-10 13:29 - Anonymous

It looks like that the defect go away (i can't reproduce it with the last 1.4 version). Could anyone close the ticket?

#14 - 2012-10-10 14:12 - Etienne Massip

- Status changed from Confirmed to Closed

- Resolution set to Wont fix

Fixed when changed the way the visual tree is displayed for 1.4.0.

#15 - 2012-10-10 14:12 - Etienne Massip

- Target version deleted (Candidate for next minor release)

Files

error.png 22.9 KB 2011-12-16 Anonymous

Screen Shot 2011-12-21 at 9.42.01 PM.png 49.1 KB 2011-12-22 Morgan Jones

NoBranch.PNG 14.8 KB 2012-03-09 Pedro Alexandre Pacheco Cipriano

OneBranch.PNG 16 KB 2012-03-09 Pedro Alexandre Pacheco Cipriano

fix-revisiongraph-width.patch 652 Bytes 2012-03-14 Daniel Ritz
